'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');
var classTransformer = require('class-transformer');

var useOOPSWR = function useOOPSWR(classInstance, swrResult, options) {
  var stringifiedData = react.useMemo(function () {
    return JSON.stringify(swrResult.data || {});
  }, [swrResult.data]);
  var data = react.useMemo(function () {
    var obj = JSON.parse(stringifiedData);
    return classTransformer.plainToInstance(classInstance, obj, options);
  }, [stringifiedData]);
  return [data, swrResult];
};

exports.useOOPSWR = useOOPSWR;
//# sourceMappingURL=use-oop-swr.cjs.development.js.map
