import { useMemo } from 'react';
import { plainToInstance } from 'class-transformer';

var useOOPSWR = function useOOPSWR(classInstance, swrResult, options) {
  var stringifiedData = useMemo(function () {
    return JSON.stringify(swrResult.data || {});
  }, [swrResult.data]);
  var data = useMemo(function () {
    var obj = JSON.parse(stringifiedData);
    return plainToInstance(classInstance, obj, options);
  }, [stringifiedData]);
  return [data, swrResult];
};

export { useOOPSWR };
//# sourceMappingURL=use-oop-swr.esm.js.map
